<!-- 包的说明文档 -->

## 安装

```
npm install itheima-toolssss
```

## 导入

```js
const itheima = require('itheima-tools')
```

## 格式化时间

```js
// 调用 dateFormat 对时间进行格式化
const dtStr = itheima.dateFormat(new Date())
// 结果 2022-09-23 17:05:09
console.log(dtStr)
```

## 转义 HTML 中的特殊字符

```js
// 带转换的 HTML 字符串
const html = '<h1 title="abc">这是 h1 标签<span>abc</span></h1>'
//调用 htmlEscape 方法进行转换
const htmlStr = itheima.htmlEscape(html)
// 转换结果 &lt;h1 title=&quot;abc&quot;&gt;这是 h1 标签&lt;span&gt;123&amp;nbsp;&lt;/span&gt;&lt;/h1&gt;
console.log(htmlStr)
```

## 还原 HTML 中的特殊字符

```js
// 待还原的 html 字符串
const html = '&lt;h1 title=&quot;abc&quot;&gt;这是 h1 标签&lt;span&gt;123&amp;nbsp;&lt;/span&gt;&lt;/h1&gt;'
const str = itheima.htmlUnEscape(html)
// 输出结果 <h1 title="abc">这是 h1 标签<span>123&nbsp;</span></h1>
console.log(str)
```

## 开源协议

ISC
